<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */
class m120406_102639_user_optional_username extends CDbMigration
{
    public function up()
    {
        $this->dropIndex('users_username_idx', '{{users}}');
        $this->alterColumn('{{users}}', 'username', 'varchar(255)');
    }

    public function down()
    {
        $this->createIndex('username', '{{users}}', 'username', true);
        $this->alterColumn('{{users}}', 'username', 'varchar(255) NOT NULL');
    }

    /*
     // Use safeUp/safeDown to do migration with transaction
     public function safeUp()
     {
     }

     public function safeDown()
     {
     }
     */
}