<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
$request = Yii::app()->request;
?>
<div class="personalisation-widget-manage-attributes">
    <script type="text/javascript">
        $(function () {
            $('#manager').dhtmlTreeEditor({
                        saveUrl:'<?php echo Yii::app()->createUrl('/personalisation/manage/saveAttribute')?>',
                        deleteUrl:'<?php echo Yii::app()->createUrl('/personalisation/manage/deleteAttribute')?>',
                        imagePath:'<?php echo $this->getModule()->getAssetsUrl() . '/css/imgs/csh_bluebooks/'?>',
                        treeData:<?php echo CJSON::encode(PersonalisationAttributeHelper::getTreeJs())?>,
                        t:{
                            'New':'<?php echo PersonalisationModule::t('New')?>',
                            'Delete':'<?php echo PersonalisationModule::t('Delete')?>',
                            'Save':'<?php echo PersonalisationModule::t('Save')?>',
                            'Name':'<?php echo PersonalisationModule::t('Name')?>',
                            'Title':'<?php echo PersonalisationModule::t('Title')?>',
                            'Are you sure?':'<?php echo PersonalisationModule::t('Are you sure?')?>',
                            'Personalisation attributes tree':'<?php echo PersonalisationModule::t('Personalisation attributes tree')?>',
                            'new_attribute':'<?php echo PersonalisationModule::t('new_attribute')?>'
                        },
                        hiddenFields: <?php echo CJSON::encode($request->enableCsrfValidation ? array($request->csrfTokenName => $request->getCsrfToken()) : array())?>
                    }
            );
        });
    </script>
    <div id="manager"></div>

</div>