<?php
    /**
     * Gentics Portal.Node PHP
     * Author & Copyright (c) by Gentics Software GmbH
     * sales@gentics.com
     * http://www.gentics.com
     * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
     * You must not use this software without a valid license agreement.
     *
     */
?>
<a name="searchResults" /></a>
<h4><?php echo SearchModule::t('Search results for').' "<strong>'.htmlspecialchars($this->phrase).'</strong>"' ?></h4>

<?php

    /*  if nothing found or any error */
    if ($this->status=='error' || empty($this->searchResult)) {
?>
        <?php echo SearchModule::t('Nothing found...'); ?>
<?php
    } else if ($this->status=='ok') {
        foreach ($this->searchResult as $resultItem) {
?>
            <div class="search-result-item">
                <a href="<?php echo Yii::app()->CreateUrl($resultItem['attributes']['url']);?>" class="search-result-name"><?php echo $resultItem['attributes']['name'];?></a>
                <br/>
                <a href="<?php echo Yii::app()->CreateUrl($resultItem['attributes']['url']);?>" class="search-result-href"><?php echo $resultItem['attributes']['url'];?></a>
                <br/>
                <span class="search-result-preview-text"><?php echo $resultItem['attributes']['content'];?></span>
            </div>
<?php
        }
?>
<?php if($this->pageNumber > 1): ?>
    <a href="<?php echo $this->paginationUrl($this->pageNumber - 1)?>">&lt; <?php echo SearchModule::t('Previous')?></a>
<?php endif?>

<?php if($this->existsMore): ?>
   | <a href="<?php echo $this->paginationUrl($this->pageNumber + 1)?>"><?php echo SearchModule::t('Next')?> &gt;</a>
<?php endif?>

<?php
    }
?>