<?php
/**
 *
 */
class MailsendingForm extends CFormModel
{
    public $your_name;
    public $your_email;
    public $friends_name;
    public $friends_email;
    public $link;
    public $comment;

    public function rules()
    {
        return array(
            array('your_name, your_email, friends_name, friends_email, link', 'required'),
            array('your_name, friends_name', 'length', 'max' => 255),
            array('link', 'length', 'max' => 2000),
            array('your_email, friends_email', 'email'),
            array('comment', 'safe')
        );
    }

    public function getAttributeLabel($attribute)
    {
        return SocialModule::t(parent::getAttributeLabel($attribute));
    }

}
